logo
enes

Publish, deprecate and delete Flows

Last update: 6 hours ago by Irais Aguirre

Publish, deprecate and delete WhatsApp Flows.

Integration summary

  • Base URL: https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services
  • Token: admin token, in the Authorization: Bearer {{admin-token}} header (how to generate it)
  • Endpoints on this page:
    • POST /v1/flows/{{waba_id}}/{{flow_id}}/publish: Publish a Flow
    • POST /v1/flows/{{waba_id}}/{{flow_id}}/deprecate: Deprecate a Flow
    • DELETE /v1/flows/{{waba_id}}/{{flow_id}}: Delete a Flow

Publish a Flow

Request

Publish a Flow request:

URLhttps://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/publish
MethodPOST

Headers

Publish a Flow headers:

NameDescriptionTypeRequirements
AuthorizationAdmin token. See Generate authentication token.StringRequired

Parameters

Publish a Flow parameters:

NameDescriptionTypeRequirements
waba_idWhatsApp Business Account ID.StringRequired
flow_idFlow ID returned by Create Flow.StringRequired

Example

Complete Publish a Flow example:

curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/publish' \
--header 'Authorization: Bearer {{admin-token}}'

Response

Publish a Flow response:

NameDescriptionType
successReturns true if the Flow was published successfully; otherwise, returns false.Boolean
{
"success": true
}


Deprecate a Flow

Request

Deprecate a Flow request:

URLhttps://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/deprecate
MethodPOST

Headers

Deprecate a Flow headers:

NameDescriptionTypeRequirements
AuthorizationAdmin token. See Generate authentication token.StringRequired

Parameters

Deprecate a Flow parameters:

NameDescriptionTypeRequirements
waba_idWhatsApp Business Account ID.StringRequired
flow_idFlow ID returned by Create Flow.StringRequired

Example

Complete Deprecate a Flow example:

curl --location --request POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}/deprecate' \
--header 'Authorization: Bearer {{admin-token}}'

Response

Deprecate a Flow response:

NameDescriptionType
successReturns true if the Flow was deprecated successfully; otherwise, returns false.Boolean
{
"success": true
}


Delete a Flow

Request

Delete a Flow request:

URLhttps://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}
MethodDELETE

Headers

Delete a Flow headers:

NameDescriptionTypeRequirements
AuthorizationAdmin token. See Generate authentication token.StringRequired

Parameters

Delete a Flow parameters:

NameDescriptionTypeRequirements
waba_idWhatsApp Business Account ID.StringRequired
flow_idFlow ID returned by Create Flow.StringRequired

Example

Complete Delete a Flow example:

curl --location --request DELETE 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/flows/{{waba_id}}/{{flow_id}}' \
--header 'Authorization: Bearer {{admin-token}}'

Response

Delete a Flow response:

NameDescriptionType
successReturns true if the Flow was deleted successfully; otherwise, returns false.Boolean
{
"success": true
}

Previous
Query Flows
Next
Flow encryption